# QsciDocument Class Reference

The QsciDocument class represents a document to be edited. More...

`#include <qscidocument.h>`

List of all members.

## Public Member Functions

- QsciDocument ()
- QsciDocument (const QsciDocument &)
- QsciDocument & operator= (const QsciDocument &)

## Detailed Description

The QsciDocument class represents a document to be edited.

It is an opaque class that can be attached to multiple instances of QsciScintilla to create different simultaneous views of the same document. QsciDocument uses implicit sharing so that copying class instances is a cheap operation.

## Constructor & Destructor Documentation

QsciDocument::QsciDocument | ( |  | ) |

Create a new unattached document.